summaryrefslogtreecommitdiffstats
path: root/libraries/lvtk
diff options
context:
space:
mode:
author B. Watson2014-02-25 12:54:55 +0100
committer Willy Sudiarto Raharjo2014-02-25 12:54:55 +0100
commit9f44b7fbad28d72c6b2bc76176edb185abea0f64 (patch)
treeec9eb4ec029de7ff7764e2bb94669f59e1afd618 /libraries/lvtk
parent4985917eed3e9f604b46c0339111b344a952d55b (diff)
downloadslackbuilds-9f44b7fbad28d72c6b2bc76176edb185abea0f64.tar.gz
libraries/lvtk: Added (LV2 toolkit C++ wrappers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/lvtk')
-rw-r--r--libraries/lvtk/README11
-rw-r--r--libraries/lvtk/lvtk.SlackBuild88
-rw-r--r--libraries/lvtk/lvtk.info10
-rw-r--r--libraries/lvtk/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/lvtk/README b/libraries/lvtk/README
new file mode 100644
index 0000000000..56bae27718
--- /dev/null
+++ b/libraries/lvtk/README
@@ -0,0 +1,11 @@
+lvtk (LV2 toolkit C++ wrappers)
+
+LV2 Toolkit is a set C++ wrappers around the LV2 C API. The included
+libraries ease writing LV2 plugins and UIs in C++ by inheriting from
+easy to use template classes.
+
+If you want to build the API documentation, install graphviz, then export
+DOCS=yes before running lvtk.SlackBuild. This is only useful if you plan
+to develop your own code that uses lvtk. The docs take up 4MB of space
+in /usr/doc/lvtk-$VERSION/html/ (which makes the package 5x the size it
+would be without the docs).
diff --git a/libraries/lvtk/lvtk.SlackBuild b/libraries/lvtk/lvtk.SlackBuild
new file mode 100644
index 0000000000..6508eef894
--- /dev/null
+++ b/libraries/lvtk/lvtk.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for lvtk
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lvtk
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --disable-examples
+
+./waf build
+./waf install --destdir=$PKG
+
+# Only ttl2c and the lv2 plugins actually get stripped, because the
+# libs in /usr/lib(64)?/ are static. No idea how (or even if) waf can
+# be coerced into building shared libs instead. The static libs are
+# pretty small anyway, not worth hacking things up to make them dynamic.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# only build the doxygen stuff if enabled. requires graphviz.
+if [ "${DOCS:-no}" = "yes" ] ; then
+ ./waf configure --docs build
+ cp -a build/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+ cp -a examples $PKG/usr/doc/$PRGNAM-$VERSION/examples
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lvtk/lvtk.info b/libraries/lvtk/lvtk.info
new file mode 100644
index 0000000000..0ca7443d3f
--- /dev/null
+++ b/libraries/lvtk/lvtk.info
@@ -0,0 +1,10 @@
+PRGNAM="lvtk"
+VERSION="1.1.1"
+HOMEPAGE="http://lvtoolkit.org/"
+DOWNLOAD="http://lvtoolkit.org/code/browse/lvtk/snapshot/lvtk-1.1.1.tar.gz"
+MD5SUM="1b2f89c7a4549710c98ac1df201b3e2b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lv2 gtkmm %README%"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/lvtk/slack-desc b/libraries/lvtk/slack-desc
new file mode 100644
index 0000000000..c6f1287e2f
--- /dev/null
+++ b/libraries/lvtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lvtk: lvtk (LV2 toolkit C++ wrappers)
+lvtk:
+lvtk: LV2 Toolkit is a set C++ wrappers around the LV2 C API. The included
+lvtk: libraries ease writing LV2 plugins and UIs in C++ by inheriting from
+lvtk: easy to use template classes.
+lvtk:
+lvtk:
+lvtk:
+lvtk:
+lvtk:
+lvtk: